
ChiliProject - Bug # 450: Multi-line tokens not highlighted in file views

Status: Needs more information Priority: Normal
Author: Kornelius Kalnbach Category: Text formatting
Created: 2011-06-05 Assignee: Kornelius Kalnbach
Updated: 2011-06-07 Due date:
Remote issue URL:
Affected version:
Description: Looking at 

https://www.chiliproject.org/projects/chiliproject/repository/revisions/master/entry/vendor/gems/coderay-0.9.7/l
ib/coderay/scanners/ruby/patterns.rb#L7, you can see that the file viewer seems to cut the source code into 
lines before sending them to CodeRay.

The file should be sent in one piece to the highlighter, which would make highlighting faster and better.

History
2011-06-05 07:16 pm - Kornelius Kalnbach
See my pull request: https://github.com/chiliproject/chiliproject/pull/73

2011-06-05 07:38 pm - Kornelius Kalnbach
- File fixed-multi-line-tokens.png added

A screenshot of a fixed page.

2011-06-05 07:38 pm - Kornelius Kalnbach
- Status changed from Open to Ready for review

2011-06-06 08:09 pm - Holger Just
- Status changed from Ready for review to Needs more information

I don't know if it is a good idea to "parse" HTML using regexes to make lines stand on their own. This feels like a kludge to me (although your code 
looks impressive). I feel this is something that should be done in the highlighter (like e.g. pygments does it)

How do you think about that? Maybe an additional feature for CodeRay 1.0? :)

2011-06-07 08:36 am - Kornelius Kalnbach
CodeRay always had an option for line numbers. Why Redmine didn't use it I don't know.

The code I used is actually a part of the inline line numbers implementation.

The patch was intended to be a minimal solution. A deeper integration of CodeRay would be awesome (eg. highlighting inside of .diffs, lines of code 
counterâ€¦), but currently I lack the time to do it myself :)

2011-06-07 08:47 am - Kornelius Kalnbach
Holger Just wrote:
> impressive

I guess you mean "unreadable"? ;) Sorry, I tend to code-golf sometimes. I can try to make it clearer.
fixed-multi-line-tokens.png 23.7 kB 2011-06-05 Kornelius Kalnbach

2020-10-25 2/2


